Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class TransactionRef

    java.lang.Object
      javax.naming.Reference
          org.apache.naming.TransactionRef

All Implemented Interfaces:
  Serializable, Cloneable

    public class TransactionRef

extends Reference

Represents a reference address to a transaction.

Version:
  $Id: TransactionRef.java 1038846 2010-11-24 22:08:38Z markt $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_FACTORY` Default factory for this reference.

Fields inherited from class javax.naming.Reference
`addrs, classFactory, classFactoryLocation, className`

Constructor Summary
`TransactionRef()` Resource Reference.
`TransactionRef(String factory, String factoryLocation)` Resource Reference.

Method Summary
`String` | `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.

Methods inherited from class javax.naming.Reference
`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FACTORY

    public static final String DEFAULT_FACTORY

  Default factory for this reference.

  See Also:
    Constant Field Values

Constructor Detail

### TransactionRef

    public TransactionRef()

  Resource Reference.

### TransactionRef

    public TransactionRef(String factory,
                          String factoryLocation)

  Resource Reference.

  Parameters:
    `factory` - The factory class
    `factoryLocation` - The factory location

Method Detail

### getFactoryClassName

    public String getFactoryClassName()

  Retrieves the class name of the factory of the object to which this reference refers.

  Overrides:
    `getFactoryClassName` in class `Reference`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.